

 * This program extracts industry all plants which produce concrete from the census of manufacturing data's product trailer 
* Standard library definition;
LIBNAME Conlib '/rdcprojects/ch00422/CONCRETE/SAS Files';
LIBNAME Lbd '/economic/lbd/microdata';
LIBNAME Asm '/economic/asm/microdata';
LIBNAME Cmf '/economic/cmf/microdata';

%MACRO ExtractConcreteProducers(year,dataset);
        *Sort the data;
        DATA Conlib.Prod&dataset.&year;
	SET &dataset..&dataset.00&year.prod;
	if curpc="3273000" | curpc="3273011" |  curpc="3273002" | curpc="327300-"  ;
        RUN;
%MEND ExtractConcreteProducers;
 
%ExtractConcreteProducers(97,Cmf);
%ExtractConcreteProducers(92,Cmf);
%ExtractConcreteProducers(87,Cmf);
%ExtractConcreteProducers(82,Cmf);
%ExtractConcreteProducers(77,Cmf);
%ExtractConcreteProducers(72,Cmf);
%ExtractConcreteProducers(67,Cmf);
%ExtractConcreteProducers(63,Cmf);

%ExtractConcreteProducers(99,Asm);
%ExtractConcreteProducers(98,Asm);
%ExtractConcreteProducers(96,Asm);
%ExtractConcreteProducers(95,Asm);
%ExtractConcreteProducers(94,Asm);
%ExtractConcreteProducers(93,Asm);
%ExtractConcreteProducers(91,Asm);
%ExtractConcreteProducers(90,Asm);

%ExtractConcreteProducers(89,Asm);
%ExtractConcreteProducers(88,Asm);
%ExtractConcreteProducers(86,Asm);
%ExtractConcreteProducers(85,Asm);
%ExtractConcreteProducers(84,Asm);
%ExtractConcreteProducers(83,Asm);
%ExtractConcreteProducers(81,Asm);
%ExtractConcreteProducers(80,Asm);

%ExtractConcreteProducers(79,Asm);
%ExtractConcreteProducers(78,Asm);
%ExtractConcreteProducers(76,Asm);
%ExtractConcreteProducers(75,Asm);
%ExtractConcreteProducers(74,Asm);
%ExtractConcreteProducers(73,Asm);
 
* Make Panel
DATA Conlib.ProducesConcretePanelCmf;
SET Conlib.ProdCmf97
Conlib.ProdCmf92 
Conlib.ProdCmf87
Conlib.ProdCmf82 
Conlib.ProdCmf77 
Conlib.ProdCmf72 
Conlib.ProdCmf67 
Conlib.ProdCmf63
Conlib.ProdAsm99
Conlib.ProdAsm98
Conlib.ProdAsm96
Conlib.ProdAsm95
Conlib.ProdAsm94
Conlib.ProdAsm93
Conlib.ProdAsm91
Conlib.ProdAsm90
Conlib.ProdAsm89
Conlib.ProdAsm88
Conlib.ProdAsm86
Conlib.ProdAsm85
Conlib.ProdAsm84
Conlib.ProdAsm83
Conlib.ProdAsm81
Conlib.ProdAsm80
Conlib.ProdAsm79
Conlib.ProdAsm78
Conlib.ProdAsm76
Conlib.ProdAsm75
Conlib.ProdAsm74
Conlib.ProdAsm73
Conlib.ProdAsm71
Conlib.ProdAsm70;
run;


PROC EXPORT DATA= Conlib.ProducesConcretePanelCmf
            OUTFILE= "/rdcprojects/ch00422/CONCRETE/ProducesConcretePanelCmf.csv"
            DBMS=CSV REPLACE;
RUN;