new;
testing=0;


/* Compile and Load C files */
print "Compiling C++ Code";
shell gcc -c -O6 -fPIC pm14l.c;
shell ld -G -o pm14l.so pm14l.o; 
dlibrary -a  /rdcprojects/ny1/ny00707/transfer_proj422/ch00422/ECMA_4/pm14l.so;

// PArameters
thetaamoeba=zeros(28,1);
markettheta=zeros(4,1);

/*---------------------------------------------------------------------------------------------*/
/* Running the GMM Version */

output_ccp="gmm1sim_ccp.asc";
output_baseline="gmm1_baseline.asc";
producersurplusfile="psgmm1.asc";

// Fill in parameters here!

load thetaamoeba[28,1]=/rdcprojects/ny1/ny00707/transfer_proj422/ch00422/ECMA_4/thetafs3.asc;
print thetaamoeba;
esttheta=thetaamoeba;

#include CFLag_SimModel.e;


/*---------------------------------------------------------------------------------------------*/
/* Running the ML Version */

output_ccp="mlsim_ccp.asc";
output_baseline="ml_baseline.asc";
producersurplusfile="psml.asc";

// Fill in parameters here!

load thetaamoeba[28,1]=/rdcprojects/ny1/ny00707/transfer_proj422/ch00422/ECMA_4/thetafsml.asc;
print thetaamoeba;
esttheta=thetaamoeba;

#include CFLag_SimModel.e;



/*---------------------------------------------------------------------------------------------*/
/* Running the GMM Version */

output_ccp="gmm1ngsim_ccp.asc";
output_baseline="gmm1ngsim_baseline.asc";
producersurplusfile="psgmm1ngsim.asc";

// Fill in parameters here!

load thetaamoeba[28,1]=/rdcprojects/ny1/ny00707/transfer_proj422/ch00422/ECMA_4/thetang3.asc;
print thetaamoeba;
esttheta=thetaamoeba;

#include CFLag_SimModel.e;

/*---------------------------------------------------------------------------------------------*/
/* Analyze Output */


shell stata-se -b do AnalyzeSimData_SimModel.do &




/*FIN*/


