* June 23 2004 ALLAN COLLARD-WEXLER;
* CONSTRUCTION BY COUNTY FROM LBD;
* This program will extract all construction establishments working in each specific county (then zip);
* We will export these files to csv format to be used by STATA


* Standard library definition;
LIBNAME Conlib '/home/ch0422colla304/WORK/CONCRETE';
LIBNAME Lbd '/economic/lbd/microdata';
LIBNAME Asm '/economic/asm/microdata';
LIBNAME Cmf '/economic/cmf/microdata';




DATA Conlib.ConstructionPanel;
RUN;




%MACRO Extractconstruction(year);
        DATA Conlib.Temp;
        SET Lbd.Lbd&year.b;

	*NEED TO CHANGE THIS LINE;
	IF (sic<190000) & (sic>=150000);
        RUN;
        DATA Conlib.Temp1;
        SET Conlib.ConstructionPanel;
        RUN;
        DATA Conlib.ConstructionPanel;
        SET Conlib.Temp1 Conlib.Temp;
        RUN;
%MEND Extractconstruction;





* Generate void file;
DATA Conlib.ConstructionPanel;
RUN;


%ExtractConstruction(1976);
%ExtractConstruction(1977);
%ExtractConstruction(1978);
%ExtractConstruction(1979);
%ExtractConstruction(1980);
%ExtractConstruction(1981);
%ExtractConstruction(1982);
%ExtractConstruction(1983);
%ExtractConstruction(1984);
%ExtractConstruction(1985);
%ExtractConstruction(1986);
%ExtractConstruction(1987);
%ExtractConstruction(1988);
%ExtractConstruction(1989);
%ExtractConstruction(1990);
%ExtractConstruction(1991);
%ExtractConstruction(1992);
%ExtractConstruction(1993);
%ExtractConstruction(1994);
%ExtractConstruction(1995);
%ExtractConstruction(1996);
%ExtractConstruction(1997);
%ExtractConstruction(1998);
%ExtractConstruction(1999);







*EXPORT for use in STATA;




PROC EXPORT DATA= Conlib.ConstructionPanel
            OUTFILE= "/home/ch0422colla304/WORK/CONCRETE/ConstructionPanel.csv"
            DBMS=CSV REPLACE;
RUN;


