cd /home/ch0422colla304/WORK/CONCRETE
clear
set mem 400m
* First sort all files by plant and year

use "/home/ch0422colla304/WORK/CONCRETE/asmpanelb.dta"
sort cfn year
save "/home/ch0422colla304/WORK/CONCRETE/asmpanelb.dta", replace
clear
use "/home/ch0422colla304/WORK/CONCRETE/lbdpanelb.dta"
sort cfn year
save "/home/ch0422colla304/WORK/CONCRETE/lbdpanelb.dta", replace
clear
use "/home/ch0422colla304/WORK/CONCRETE/cmfpanelb.dta"

sort cfn year
save "/home/ch0422colla304/WORK/CONCRETE/cmfpanelb.dta", replace
clear

* Next we start by merging all these things with the Census of Manufacturing and ASM


use "/home/ch0422colla304/WORK/CONCRETE/cmfpanelb.dta"

gen cmfsource=1

merge cfn year using "/home/ch0422colla304/WORK/CONCRETE/asmpanelb.dta"  

sort cfn year

gen asmsource=(_merge>1)

tab _merge

drop _merge 

save "/home/ch0422colla304/WORK/CONCRETE/lrdb.dta", replace

*Now we merge with the LBD

merge cfn year using "/home/ch0422colla304/WORK/CONCRETE/lbdpanelb.dta" 

sort cfn year


gen lbdsource=(_merge>1)

tab _merge

replace cmfsource=0 if cmfsource==.
replace asmsource=0 if asmsource==.



* There are some duplicated observations in the data
tab year if lbdsource==1
tab year if cmfsource==1


* Tag all duplicated observations
duplicates tag, gen (duplicated)
tab year if duplicated==1

*Delete them
duplicates drop

compress
replace firstyear=firstyear+1900
replace lastyear=lastyear+1900

save "/home/ch0422colla304/WORK/CONCRETE/lrdb.dta", replace
