/* Number of Firms in the Industry at most */
#define RLNFIRMS 9

#define KMAX 3

/* Highest State you can reach 0-SMAX */
#define SMAX 6

/* Actions you can choose 0-AMAX*/
#define AMAX 3
/* Highest Demand State you can reach 0-MAXDEMAND */
#define MAXDEMAND 49
/* Discount Rate */
#define beta 0.95
/* Specification */
#define SPEC 2


/* Size of the Parameter Vector
#define THETADIM SMAX*KMAX+KMAX*3*/
#define THETADIM 27


/* Test Tolerance */
#define TESTOL 0.01
/* Something we add so the log(x+dust) is >-inf */
#define DUST 0.0000001


/* Threads */
//#OMP_NUM_THREADS=4



/* Components of profits type*/
struct pcomp_t {
/* SPEC==2 */
	int activevec[KMAX];
	int demandeffect[KMAX];
	int comp[KMAX];
	int transition[AMAX*SMAX];
};



#include "pm14.c"

